npm ERR npm ERR! JSON.parse在'... ejs'附近解析JSON输入的意外结束:“2.6.1”

我已删除nodeJs广告再次重新安装它,我使用npm缓存清理--force并没有工作,我使用npm设置注册表https://registry.npmjs.org/没有工作

如果有人之前修复了同样的错误,请帮助我

// ERR

npm ERR! file E:\Courses\Express\project\nodeauth\package.json
npm ERR! code EJSONPARSE
npm ERR! JSON.parse Failed to parse json
npm ERR! JSON.parse Unexpected end of JSON input while parsing near '...ejs":"2.6.1"
npm ERR! JSON.parse   }
npm ERR! JSON.parse     '
npm ERR! JSON.parse Failed to parse package.json data.
npm ERR! JSON.parse package.json must be actual JSON, not just JavaScript.

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\OmarBaz\AppData\Roaming\npm-cache\_logs\2018-06-23T18_04_08_578Z-debug.log

//这是我的package.json文件

{
  "name": "inside",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "start": "node ./bin/www"
  },
  "dependencies": {
    "connect-flash": "*",
    "cookie-parser": "~1.4.3",
    "debug": "~2.6.9",
    "express": "~4.16.0",
    "express-messages": "*",
    "express-session": "^1.15.6",
    "express-validator": "*",
    "http-errors": "~1.6.2",
    "mongodb": "*",
    "mongoose": "*",
    "morgan": "~1.9.0",
    "multer": "*",
    "passport": "*",
    "passport-http": "*",
    "passport-local": "*",
    "pug": "2.0.3",
    "serve-favicon": "^2.5.0",
    "ejs":"2.6.1"
  }

回答(0)